moeoEnvironmentalReplacement::Cmp(3)

NAME
moeoEnvironmentalReplacement::Cmp - This class is used to compare solutions in order to sort the population.

SYNOPSIS

#include <moeoEnvironmentalReplacement.h>

  Public Member Functions
Cmp (moeoComparator< MOEOT > &_comparator)
Ctor.
bool operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
Returns true if _moeo1 is greater than _moeo2 according to the comparator _moeo1 the first individual _moeo2 the first individual.

  Private Attributes
moeoComparator< MOEOT > & comparator
the comparator

Detailed Description

  template<class MOEOT> class moeoEnvironmentalReplacement< MOEOT >::Cmp
This class is used to compare solutions in order to sort the population.

Definition at line 117 of file moeoEnvironmentalReplacement.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoEnvironmentalReplacement< MOEOT >::Cmp::Cmp (moeoComparator< MOEOT > & _comparator) [inline]

Ctor.

Parameters:
    _comparator the comparator

Definition at line 125 of file moeoEnvironmentalReplacement.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.